public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pydocstyle/
Date: Fri, 17 Jul 2020 04:14:06 +0000 (UTC)	[thread overview]
Message-ID: <1594959232.f9c2c228814b6f75832727ca6d6dbd7bbfe082a2.mattst88@gentoo> (raw)

commit:     f9c2c228814b6f75832727ca6d6dbd7bbfe082a2
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Wed Jul  1 18:58:13 2020 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Fri Jul 17 04:13:52 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9c2c228

dev-python/pydocstyle: add py3_8, rem py3_6

py3_9 still missing on deps (too many for me bump atm)

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 dev-python/pydocstyle/pydocstyle-5.0.2-r1.ebuild | 38 ++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

diff --git a/dev-python/pydocstyle/pydocstyle-5.0.2-r1.ebuild b/dev-python/pydocstyle/pydocstyle-5.0.2-r1.ebuild
new file mode 100644
index 00000000000..1887ba0bb24
--- /dev/null
+++ b/dev-python/pydocstyle/pydocstyle-5.0.2-r1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Python docstring style checker"
+HOMEPAGE="https://github.com/PyCQA/pydocstyle/"
+SRC_URI="https://github.com/PyCQA/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/snowballstemmer[${PYTHON_USEDEP}]"
+
+DEPEND="test? (
+	dev-python/pytest-pep8[${PYTHON_USEDEP}]
+	dev-python/mypy[${PYTHON_USEDEP}]
+	dev-python/tox[${PYTHON_USEDEP}]
+)"
+
+distutils_enable_tests pytest
+# Requires network to lookup github issues
+#distutils_enable_sphinx docs dev-python/sphinx_rtd_theme dev-python/sphinxcontrib-issuetracker
+
+src_prepare() {
+	default
+
+	# These tests call pip.
+	# pip install fails because we are not allowed to do that inside an ebuild.
+	rm "${S}/src/tests/test_integration.py" || die
+}


             reply	other threads:[~2020-07-17  4:14 UTC|newest]

Thread overview: 41+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-07-17  4:14 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-07-24 12:56 [gentoo-commits] repo/gentoo:master commit in: dev-python/pydocstyle/ Michał Górny
2023-02-16 22:52 Sam James
2023-01-18  7:34 Michał Górny
2023-01-09  8:09 Michał Górny
2023-01-03 19:36 Andrew Ammerlaan
2022-11-30 10:18 WANG Xuerui
2022-06-22 18:19 Arthur Zamarin
2022-06-22 18:19 Arthur Zamarin
2022-05-23  9:38 Michał Górny
2022-05-16 14:08 Andrew Ammerlaan
2021-12-07  8:40 Joshua Kinard
2021-10-23 13:16 Sam James
2021-10-14  4:45 Sam James
2021-10-11  0:45 Sam James
2021-06-24  8:20 Michał Górny
2021-06-24  4:26 Agostino Sarubbo
2021-04-21 19:25 Michał Górny
2021-04-21 18:55 Sam James
2021-03-19  9:47 Michał Górny
2021-03-19  7:36 Michał Górny
2020-12-31  6:33 Sam James
2020-12-14  0:46 Sam James
2020-12-13  0:34 Sam James
2020-12-13  0:16 Sam James
2020-12-07  4:28 Matt Turner
2020-11-28 14:21 Sam James
2020-10-20 17:41 Sergei Trofimovich
2020-10-16 21:56 Sergei Trofimovich
2020-10-16 13:44 Joonas Niilola
2020-10-16 12:00 Michał Górny
2020-10-11 23:44 Sam James
2020-10-07 21:03 Louis Sautier
2020-09-04 17:32 Matt Turner
2020-08-02  9:15 Michał Górny
2020-03-28 17:21 Michał Górny
2020-03-25 17:44 Agostino Sarubbo
2020-03-25 16:12 Agostino Sarubbo
2020-02-15 20:43 Matt Turner
2018-10-14 11:58 Zac Medico
2018-10-13 22:35 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1594959232.f9c2c228814b6f75832727ca6d6dbd7bbfe082a2.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox